# Uses of Class
org.apache.solr.client.solrj.response.SimpleSolrResponse

Packages that use SimpleSolrResponse
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.

## Uses of SimpleSolrResponse in org.apache.solr.client.solrj.request

Fields in org.apache.solr.client.solrj.request declared as SimpleSolrResponse
Modifier and Type
Field
Description
`SimpleSolrResponse`
GenericSolrRequest.`response`
Methods in org.apache.solr.client.solrj.request that return SimpleSolrResponse
Modifier and Type
Method
Description
`protected SimpleSolrResponse`
GenericSolrRequest.`createResponse(NamedList<Object> namedList)`

## Uses of SimpleSolrResponse in org.apache.solr.client.solrj.response

Subclasses of SimpleSolrResponse in org.apache.solr.client.solrj.response
Modifier and Type
Class
Description
`class`
`InputStreamResponse`
Represents the NamedList response format created by `InputStreamResponseParser`.